package com.kamco.cd.kamcoback.postgres.repository.menu;

import com.kamco.cd.kamcoback.menu.dto.MenuDto.MenuWithRolesDto;
import com.kamco.cd.kamcoback.postgres.entity.MenuEntity;
import java.util.List;

public interface MenuRepositoryCustom {

  List<MenuEntity> getFindAll();

  /**
   * 권한별 메뉴 목록
   *
   * @param role
   * @return
   */
  List<MenuEntity> getFindByRole(String role);

  /**
   * 메뉴별 권한 조회
   *
   * @return
   */
  List<MenuWithRolesDto> getFindByMenuWithRoles();
}
